Search Results for

Show / Hide Table of Contents

# Class PluginMetadata

A class which describes a loaded plugin.

##### Inheritance

Object
PluginMetadata

##### Inherited Members

Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: IPA.Loader

###### Assembly: IPA.Loader.dll

##### Syntax

    public class PluginMetadata

### Properties

| Improve this Doc View Source

#### Assembly

The assembly the plugin was loaded from.

##### Declaration

    public Assembly Assembly { get; }

##### Property Value

Type | Description
--- | ---
Assembly | the loaded Assembly that contains the plugin main type

| Improve this Doc View Source

#### AssociatedFiles

A list of files (that aren't File) that are associated with this plugin.

##### Declaration

    public IReadOnlyList<FileInfo> AssociatedFiles { get; }

##### Property Value

Type | Description
--- | ---
IReadOnlyList<FileInfo> | a list of associated files

| Improve this Doc View Source

#### Author

The name of the author that wrote this plugin.

##### Declaration

    public string Author { get; }

##### Property Value

Type | Description
--- | ---
String | the name of the plugin's author

| Improve this Doc View Source

#### Description

The description of this plugin.

##### Declaration

    public string Description { get; }

##### Property Value

Type | Description
--- | ---
String | the description of the plugin

| Improve this Doc View Source

#### DonateLink

A link to a donate page for the author of this plugin, if avaliable.

##### Declaration

    public Uri DonateLink { get; }

##### Property Value

Type | Description
--- | ---
Uri | the Uri of the author's donate page

| Improve this Doc View Source

#### Features

The features this plugin requests.

##### Declaration

    public IReadOnlyList<Feature> Features { get; }

##### Property Value

Type | Description
--- | ---
IReadOnlyList<Feature> | the list of features requested by the plugin

| Improve this Doc View Source

#### File

The file the plugin was loaded from.

##### Declaration

    public FileInfo File { get; }

##### Property Value

Type | Description
--- | ---
FileInfo | the file the plugin was loaded from

| Improve this Doc View Source

#### IconName

The name of the resource in the plugin assembly containing the plugin's icon.

##### Declaration

    public string IconName { get; }

##### Property Value

Type | Description
--- | ---
String | the name of the plugin's icon

| Improve this Doc View Source

#### Id

The ID of the plugin.

##### Declaration

    public string Id { get; }

##### Property Value

Type | Description
--- | ---
String | the ID of the plugin

| Improve this Doc View Source

#### IsBare

Whether or not this metadata object represents a bare manifest.

##### Declaration

    public bool IsBare { get; }

##### Property Value

Type | Description
--- | ---
Boolean | true if it is bare, false otherwise

| Improve this Doc View Source

#### Name

The human readable name of the plugin.

##### Declaration

    public string Name { get; }

##### Property Value

Type | Description
--- | ---
String | the name of the plugin

| Improve this Doc View Source

#### PluginHomeLink

A link to this plugin's home page, if any.

##### Declaration

    public Uri PluginHomeLink { get; }

##### Property Value

Type | Description
--- | ---
Uri | the Uri of the plugin's home page

| Improve this Doc View Source

#### PluginSourceLink

A link to this plugin's source code, if avaliable.

##### Declaration

    public Uri PluginSourceLink { get; }

##### Property Value

Type | Description
--- | ---
Uri | the Uri of the plugin's source code

| Improve this Doc View Source

#### PluginType

The TypeDefinition for the main type of the plugin.

##### Declaration

    public TypeDefinition PluginType { get; }

##### Property Value

Type | Description
--- | ---
Mono.Cecil.TypeDefinition | the Cecil definition for the plugin main type

| Improve this Doc View Source

#### RuntimeOptions

The RuntimeOptions that the plugin specified in its PluginAttribute.

##### Declaration

    public RuntimeOptions RuntimeOptions { get; }

##### Property Value

Type | Description
--- | ---
RuntimeOptions |

| Improve this Doc View Source

#### Version

The version of the plugin.

##### Declaration

    public Version Version { get; }

##### Property Value

Type | Description
--- | ---
SemVer.Version | the version of the plugin

### Methods

| Improve this Doc View Source

#### ToString()

Gets all of the metadata as a readable string.

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
String | the readable printable metadata string

##### Overrides

Object.ToString()

### Extension Methods

ReflectionUtil.SetField<T, U>(T, String, U)
ReflectionUtil.GetField<U, T>(T, String)
ReflectionUtil.SetProperty<T, U>(T, String, U)
ReflectionUtil.GetProperty<U, T>(T, String)
ReflectionUtil.InvokeMethod<U, T>(T, String, Object[])